Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.notifications.enumerators
Class GroupNotificationUserEnumerator

    java.lang.Object
      com.bea.netuix.application.notifications.enumerators.GroupNotificationUserEnumerator

All Implemented Interfaces
  INotificationUserEnumerator, Serializable

    public class GroupNotificationUserEnumerator

extends Object
implements INotificationUserEnumerator

Used to enumerate the users in a specified group to the NotificationManager when sending notifications.

See Also
  Serialized Form

Constructor Summary
`GroupNotificationUserEnumerator(String groupName)` Constructor using the default authorization provider.
`GroupNotificationUserEnumerator(String atnProvider, String groupName)` Constructor using a specified authorization provider.

Method Summary
`void` | `close()` Releases any resources used by this enumeration.
`String` | `getNext()` Returns the next username in the enumeration.
`boolean` | `hasNext()` Used to determine if more usernames are available from this enumeration.
`void` | `open()` Serves to initialize the enumeration.
`void` | `reset()` Used to reset the enumeration to the beginning.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupNotificationUserEnumerator

    public GroupNotificationUserEnumerator(String groupName)
                                    throws OperationNotSupportedException

  Constructor using the default authorization provider.

  Parameters
    `groupName` - the group name (from the default authorization provider) to enumerate the usernames from.
  Throws
    `OperationNotSupportedException`

### GroupNotificationUserEnumerator

    public GroupNotificationUserEnumerator(String atnProvider,
                                           String groupName)
                                    throws OperationNotSupportedException

  Constructor using a specified authorization provider.

  Parameters
    `atnProvider` - the name of the authorization provider to use.
    `groupName` - the group name (from the specified authorization provider) to enumerate the usernames from.
  Throws
    `OperationNotSupportedException`

Method Detail

### open

    public void open()
              throws NotificationUserEnumerationException

  Serves to initialize the enumeration. Any resources the enumeration needs may be obtained in this initialization method. This method is called before any calls to the `reset`, `hasNext` or `getNext` methods are made.

  Specified by:
    `open` in interface `INotificationUserEnumerator`
  Throws
    `NotificationUserEnumerationException` - if any problems were encountered.

### reset

    public void reset()
               throws NotificationUserEnumerationException

  Used to reset the enumeration to the beginning. This may be necessary if a transaction got rolled back and the NotificationManager is attempting to send the notification again.

  It is not necessary that the enumeration proceed in the same order as it did previously, nor that the enumeration results in the same total return set-- in other words, the enumeration can be based entirely on dynamic criteria or data which may change over time. The only requirement is that an enumeration must not return the same username twice unless a call to `reset()` has been made.

  Specified by:
    `reset` in interface `INotificationUserEnumerator`
  Throws
    `NotificationUserEnumerationException` - if any problems were encountered.

### hasNext

    public boolean hasNext()
                    throws NotificationUserEnumerationException

  Used to determine if more usernames are available from this enumeration.

  Specified by:
    `hasNext` in interface `INotificationUserEnumerator`
  Returns
    `true` as long as more usernames are available from the enumeration.
  Throws
    `NotificationUserEnumerationException` - if any problems were encountered.

### getNext

    public String getNext()
                   throws NotificationUserEnumerationException

  Returns the next username in the enumeration.

  Specified by:
    `getNext` in interface `INotificationUserEnumerator`
  Returns
    the next username in the enumeration.
  Throws
    `NotificationUserEnumerationException` - if any problems were encountered.

### close

    public void close()
               throws NotificationUserEnumerationException

  Releases any resources used by this enumeration.

  Specified by:
    `close` in interface `INotificationUserEnumerator`
  Throws
    `NotificationUserEnumerationException` - if any problems were encountered.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved